clang 8.0.0

Public Member Functions | List of all members
clang::ASTContext::DynTypedNodeList Class Reference

Container for either a single DynTypedNode or for an ArrayRef to DynTypedNode. More...

`#include "clang/AST/ASTContext.h"`

## Public Member Functions
| DynTypedNodeList (const DynTypedNode &N)
| DynTypedNodeList (ArrayRef< DynTypedNode > A)
const ast_type_traits::DynTypedNode * | begin () const
const ast_type_traits::DynTypedNode * | end () const
size_t | size () const
bool | empty () const
const DynTypedNode & | operator[] (size_t N) const

## Detailed Description

Container for either a single DynTypedNode or for an ArrayRef to DynTypedNode.

For use with ParentMap.

Definition at line 575 of file ASTContext.h.

## Constructor & Destructor Documentation

## ◆ DynTypedNodeList() [1/2]

clang::ASTContext::DynTypedNodeList::DynTypedNodeList | ( | const DynTypedNode & | N | ) |
| inline

Definition at line 583 of file ASTContext.h.

## ◆ DynTypedNodeList() [2/2]

clang::ASTContext::DynTypedNodeList::DynTypedNodeList | ( | ArrayRef< DynTypedNode > | A | ) |
| inline

Definition at line 587 of file ASTContext.h.

## Member Function Documentation

## ◆ begin()

const ast_type_traits::DynTypedNode* clang::ASTContext::DynTypedNodeList::begin | ( |  | ) | const
| inline

Definition at line 591 of file ASTContext.h.

## ◆ empty()

bool clang::ASTContext::DynTypedNodeList::empty | ( |  | ) | const
| inline

Definition at line 606 of file ASTContext.h.

## ◆ end()

const ast_type_traits::DynTypedNode* clang::ASTContext::DynTypedNodeList::end | ( |  | ) | const
| inline

Definition at line 598 of file ASTContext.h.

## ◆ operator[]()

const DynTypedNode& clang::ASTContext::DynTypedNodeList::operator[] | ( | size_t | N | ) | const
| inline

Definition at line 608 of file ASTContext.h.

## ◆ size()

size_t clang::ASTContext::DynTypedNodeList::size | ( |  | ) | const
| inline

Definition at line 605 of file ASTContext.h.

The documentation for this class was generated from the following file:

- include/clang/AST/ASTContext.h